<!DOCTYPE html>
<html>
<head>
	<title>CRC</title>
</head>
<body>
	<script type="text/javascript">

		var tab = [];

		function createTab() {			
			for (var i = 0; i < 100; i++) {
				tab.push(Math.floor((Math.random() * 1000) + 1));
			}
			return tab;
		}

		function rangerTab () {
			createTab();
			tab.sort(function(a, b) {

			    if (a < b) {
			        return -1;
			    } else if (a > b) {
			        return 1;
			    } else { 
			    	return 0;
			    }
			});
				for (var i = 0; i < tab.length; i++) {
					if (tab[i] == tab[i+1] ) {
					
					console.log("Plusieurs fois le nombre " + tab[i]);
				}
			}
			
			return tab;
		}


		function binaire (txt) {
		 	
		 	var bin = ("00000000" + txt.charCodeAt(0).toString(2)).slice(-8);
		 	return bin;
		}

		function b (txt) {
			var res = [];
			while (txt.length < 8) {
				txt += String.fromCharCode(0);
			}
			for (var i = 0; i < 8; i++) {
				res.push(binaire(txt[i]));
			}
			var colone = [];
			var calc = 0;
			for (var k = 0; k < 8; k++) {
				for (var j = 0; j < 8; j++) {
					calc += parseInt(res[j].charAt(k));
				}
				calc = calc % 2;
				colone.push(calc);
				calc = 0;
			}

//////////////////////////LIGNE ///////////////			
			var ligne = [];
			var calc = 0;
			for (var j = 0; j < 8; j++) {
				for (var k = 0; k < 8; k++) {
					calc += parseInt(res[j].charAt(k));
				}
				calc = calc % 2;
				ligne.push(calc);
				calc = 0;
			}
			console.log("ligne: " + ligne);
			console.log("colone: " + colone);
			return res;
		}

	</script>
</body>
</html>